#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libwnck-3.36.0

- Next

  Folks-0.15.2

- Up
- Home

# evolution-data-server-3.38.4

## Introduction to Evolution Data Server

The Evolution Data Server package provides a unified backend for programs that work with contacts, tasks, and calendar information. It was originally developed for Evolution (hence the name), but is now used by other packages as well.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution-data-server/3.38/evolution-data-server-3.38.4.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/evolution-data-server/3.38/evolution-data-server-3.38.4.tar.xz

- Download MD5 sum: a2ce341366203fa22b7b462b20ffcbb0

- Download size: 4.4 MB

- Estimated disk space required: 205 MB (with tests)

- Estimated build time: 2.0 SBU (using parallelism=4, with tests)

### Evolution Data Server Dependencies

#### Required

Berkeley DB-5.3.28, Gcr-3.38.1, libical-3.0.9, libsecret-0.20.4, NSS-3.61, and SQLite-3.34.1.

#### Recommended

gnome-online-accounts-3.38.0, gobject-introspection-1.66.1, GTK+-3.24.25, ICU-68.2, libcanberra-0.30, libgdata-0.18.0, libgweather-3.36.1, and Vala-0.50.3

#### Optional

GTK-Doc-1.33.2, MIT Kerberos V5-1.19.1, a MTA (that provides a sendmail command), OpenLDAP-2.4.57, and libphonenumber

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/evolution-data-server

## Installation of Evolution Data Server

First, as the `root` user, remove old and incompatible versions of the systemd units:

    rm -fv /usr/lib/systemd/user/evolution-*.service

Install Evolution Data Server by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr   \
          -DSYSCONF_INSTALL_DIR=/etc    \
          -DENABLE_VALA_BINDINGS=ON     \
          -DENABLE_INSTALLED_TESTS=ON   \
          -DENABLE_GOOGLE=ON            \
          -DWITH_OPENLDAP=OFF           \
          -DWITH_KRB5=OFF               \
          -DENABLE_INTROSPECTION=ON     \
          -DENABLE_GTK_DOC=OFF          \
          .. &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DENABLE_GOOGLE=ON`: This default flag enables access to google services via libgdata-0.18.0 and also enables the Google Authentication option.

`-DENABLE_VALA_BINDINGS=ON`: This switch enables building the Vala bindings. Remove if you don't have Vala-0.50.3 installed.

`-DENABLE_GTK_DOC=OFF`: This switch disables building the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

### Note

To enable many of the optional dependencies, review the information from cmake -L CMakeLists.txt for the necessary parameters you must pass to the cmake command.

## Contents

Installed Programs: None
Installed Libraries: libcamel-1.2.so, libebackend-1.2.so, libebook-1.2.so, libebook-contacts-1.2.so, libecal-2.0.so, libedata-book-1.2.so, libedata-cal-2.0.so, libedataserver-1.2.so, libedataserverui-1.2.so, and libetestserverutils.so
Installed Directories: /usr/include/evolution-data-server, /usr/lib{,exec}/evolution-data-server, /usr/share/installed-tests/evolution-data-server, and /usr/share/pixmaps/evolution-data-server

### Short Descriptions

`libcamel-1.2.so` | is the Evolution MIME message handling library
`libebackend-1.2.so` | is the utility library for Evolution Data Server Backends
`libebook-1.2.so` | is the client library for Evolution address books
`libebook-contacts-1.2.so` | is the client library for Evolution contacts
`libecal-1.2.so` | is the client library for Evolution calendars
`libedata-book-1.2.so` | is the backend library for Evolution address books
`libedata-cal-1.2.so` | is the backend library for Evolution calendars
`libedataserver-1.2.so` | is the utility library for Evolution Data Server
`libedataserverui-3.0.so` | is the GUI utility library for Evolution Data Server
`libetestserverutils.so` | is the server test utility library for Evolution Data Server

Last updated on 2021-02-24 18:50:56 -0800

- Prev

  libwnck-3.36.0

- Next

  Folks-0.15.2

- Up
- Home